keystate_list_cmd.c File Reference
`#include <getopt.h>`
`#include "config.h"`
`#include "cmdhandler.h"`
`#include "daemon/enforcercommands.h"`
`#include "daemon/engine.h"`
`#include "file.h"`
`#include "duration.h"`
`#include "log.h"`
`#include "str.h"`
`#include "clientpipe.h"`
`#include "longgetopt.h"`
`#include "db/key_state.h"`
`#include "db/hsm_key.h"`
`#include "db/zone_db.h"`
`#include "keystate/keystate_list_cmd.h"`

Go to the source code of this file.

## Macros

#define | HID KEY_STATE_STATE_HIDDEN
#define | RUM KEY_STATE_STATE_RUMOURED
#define | OMN KEY_STATE_STATE_OMNIPRESENT
#define | UNR KEY_STATE_STATE_UNRETENTIVE
#define | NAV KEY_STATE_STATE_NA

## Enumerations

enum | { KS_GEN = 0 , KS_PUB , KS_RDY , KS_ACT , KS_RET , KS_UNK , KS_MIX , KS_DEAD }

## Functions

const char * | map_keystate (key_data_t *key)

## Variables

const char * | statenames []
struct cmd_func_block | key_list_funcblock

## Macro Definition Documentation

## HID

#define HID KEY_STATE_STATE_HIDDEN

Definition at line 52 of file keystate_list_cmd.c.

## NAV

#define NAV KEY_STATE_STATE_NA

Definition at line 56 of file keystate_list_cmd.c.

## OMN

#define OMN KEY_STATE_STATE_OMNIPRESENT

Definition at line 54 of file keystate_list_cmd.c.

## RUM

#define RUM KEY_STATE_STATE_RUMOURED

Definition at line 53 of file keystate_list_cmd.c.

## UNR

#define UNR KEY_STATE_STATE_UNRETENTIVE

Definition at line 55 of file keystate_list_cmd.c.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
KS_GEN |
KS_PUB |
KS_RDY |
KS_ACT |
KS_RET |
KS_UNK |
KS_MIX |
KS_DEAD |

Definition at line 58 of file keystate_list_cmd.c.

## Function Documentation

## map_keystate()

const char * map_keystate | ( | key_data_t * | key | ) |

Human readable keystate in 1.x speak

Parameters

  key | key to evaluate

Returns
  : state as string

Definition at line 114 of file keystate_list_cmd.c.

References KEY_DATA_ROLE_CSK, KEY_DATA_ROLE_KSK, KEY_DATA_ROLE_ZSK, KS_MIX, KS_UNK, and statenames.

## Variable Documentation

## key_list_funcblock

struct cmd_func_block key_list_funcblock

Initial value:
= {
"key list", &usage, &help, NULL, NULL, &run, NULL
}

Definition at line 445 of file keystate_list_cmd.c.

## statenames

const char* statenames[]

Initial value:
= {"generate", "publish", "ready",
"active", "retire", "unknown", "mixed", "dead"}

Definition at line 59 of file keystate_list_cmd.c.

Referenced by map_keystate().